11 Replies Latest reply on May 14, 2009 2:41 PM by Christian Müller

    Fuse ESB 4.0.0.4. Failed to start bundle: activemq-broker

    Mohamad Fawaz Newbie

      Hello,

      I just installed a fuse esb. I noticed a lot of trace messages on the console. I execute the 'OSGI list' command, i found only 31 Active bundels and an installed bundel. A total of 32 bundels.

       

      Searching throw the log, i found the following:

       

      23:59:33,078 | WARN  | pool-1-thread-1  | FileMonitor                      | x.kernel.filemonitor.FileMonitor  547 | Failed to start bundle: activemq-broker.xml . Reason: org.osgi.framework.BundleException: Unresolved constraint in bundle 32: package; (&(package=org.apache.activemq.pool)(version>=0.0.0))

      org.osgi.framework.BundleException: Unresolved constraint in bundle 32: package; (&(package=org.apache.activemq.pool)(version>=0.0.0))

           at org.apache.felix.framework.Felix._resolveBundle(Felix.java:1725)

       

      followed by a series of messages of the same type:

      Unsupported deployment: C:\iona\fuse-esb-4.0.0.4\etc\license_agreement.txt

      Unsupported deployment: C:\iona\fuse-esb-4.0.0.4\etc\notices.txt

       

      Do you have an idea of the possible solution?

       

      Best Regards,